/* 
   Project: coevolutionary GP moto driving
   Dana Vrajitoru
   main.cc
   
   Main function. Should initialize the motorcycle object and the
   OpenGL environment.  
*/

#include "gl_interface.h"
#include "moto_geometry.h"
#include "scenery.h"
#include "moto_animate.h"

#include <stdlib.h>
#include <iostream.h>
#include <GL/glut.h>

//extern Moto_animate *moto;

void main(int argc, char **argv)
{
  cout << "in main" << endl;
  glutInit(&argc, argv);
  glutInitDisplayMode(GLUT_DOUBLE | GLUT_RGB | GLUT_DEPTH);
  glutInitWindowSize(500, 500);
  glutCreateWindow("Motorcycle");

  light_init();
  scene_init();

  /* need both double buffering and z buffer */
  glutReshapeFunc(my_reshape);
  glutDisplayFunc(display);
  glutIdleFunc(move_objects);
  glutMouseFunc(mouse);
  //  glutKeyboardFunc(key);
  glutSpecialFunc(key);

  glClearColor(0.2, 0.2, 0.2, 0.2);
  glColor3f(1.0, 0.0, 0.0);

  glutMainLoop();
}
